import { InteractionDataOptions } from "@projectdysnomia/dysnomia";

export type Optional<T> = T | undefined;

export function unravelOption<T extends InteractionDataOptions>(
  name: string,
  options: InteractionDataOptions[]
): T {
  return options.find((x) => x.name === name) as T;
}

export function unravelOptionalOption<
  T extends Optional<InteractionDataOptions>
>(name: string, options: InteractionDataOptions[]): T {
  return options.find((x) => x.name === name) as T;
}
